%define major     7
%define libname   %mklibname mpcdec %{major}
%define develname %mklibname %{name} -d

# svn export http://svn.musepack.net/libmpc/trunk musepack_src_${svn_version}
# tar -czf musepack_src_${svn_version}.tar.gz musepack_src_${svn_version}
# svn log
# latest svn commit r495 come from 2016-04-29
%define svn_version r495

Name:		musepack
Version:	1.3.0
Release:	%mkrel -c %{svn_version} 2
Summary:	Portable Musepack decoder library
# libmpcdec: BSD, libmpcenc/libmpcpsy: LGPL, tools: GPL, huffman coding: Zlib
License:	BSD-3-Clause AND LGPL-2.1-or-later AND GPL-2.0-or-later AND Zlib
Group:		System/Libraries
URL:		https://www.musepack.net/
Source0:	https://files.musepack.net/source/%{name}_src_%{svn_version}.tar.gz
Patch0:		musepack-r495-mpcdec_shared.patch
Source2:	libmpcdec-fastmath-no-const.patch
Patch1:		libmpcdec-gcc14.patch
BuildRequires:	cmake
BuildRequires:	cuefile-devel
BuildRequires:	replaygain-devel

%description
Musepack is an audio compression format with an emphasis on audio
quality. It is not lossless, but it is designed for transparency, so
that differences between the original wave file and the much smaller
MPC file are indiscernible (given enough of a bitrate, as usual).

It is based on the MPEG-1 Layer-2 / MP2 algorithms, but has further
been developed.

%package tools
Summary:	Musepack audio decoding and encoding tools
Group:		Sound/Editors and Converters

%description tools
Musepack is an audio compression format with an emphasis on audio
quality. It is not lossless, but it is designed for transparency, so
that differences between the original wave file and the much smaller
MPC file are indiscernible (given enough of a bitrate, as usual).

It is based on the MPEG-1 Layer-2 / MP2 algorithms, but has further
been developed.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	libmpcdec-devel

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%autosetup -p1 -n %{name}_src_%{svn_version}

# Fix rpmlint errors "spurious-executable-perm" and "executable-docs"
chmod 644 libmpcdec/AUTHORS libmpcdec/COPYING libmpcdec/ChangeLog
# Make the package use rpm optflags
sed -i "s/set(CMAKE_C_FLAGS.*$//" CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files tools
%license libmpcdec/COPYING
%{_bindir}/mpc*
%{_bindir}/wavcmp

%files -n %{libname}
%license libmpcdec/COPYING
%doc libmpcdec/AUTHORS libmpcdec/ChangeLog
%{_libdir}/libmpcdec.so.%{major}{,.*}

%files -n %{develname}
%license libmpcdec/COPYING
%doc libmpcdec/AUTHORS libmpcdec/ChangeLog
%{_includedir}/mpc/
%{_libdir}/libmpcdec.so


%changelog
* Thu Apr 04 2024 daviddavid <daviddavid> 1.3.0-0.r495.2.mga10
+ Revision: 2054231
- add patch from opensuse to fix build with GCC14
- add comment to getting tarball from latest svn revision
- re-upload tarball

* Thu Mar 30 2023 daviddavid <daviddavid> 1.3.0-0.r495.1.mga9
+ Revision: 1950845
- initial package musepack (a replacement for old libmpcdec)

